Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class FileInPlaceEditorInput

    java.lang.Object
      org.eclipse.ui.part.FileEditorInput
          org.eclipse.ui.part.FileInPlaceEditorInput

All Implemented Interfaces:
  IAdaptable, IEditorInput, IFileEditorInput, IInPlaceEditorInput, IPathEditorInput, IPersistableElement, IStorageEditorInput

public class FileInPlaceEditorInput
extends FileEditorInput
implements IInPlaceEditorInput

Adapter for making a file resource a suitable input for an in-place editor.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.0

Constructor Summary
`FileInPlaceEditorInput(IFile file)` Creates an in-place editor input based on a file resource.

Method Summary
`void` | `setInPlaceEditor(IInPlaceEditor editor)` Sets the in-place editor this input is associated with.

Methods inherited from class org.eclipse.ui.part.FileEditorInput
`equals, exists, getAdapter, getFactoryId, getFile, getImageDescriptor, getName, getPath, getPersistable, getStorage, getToolTipText, hashCode, saveState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IPathEditorInput
`getPath`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### FileInPlaceEditorInput

    public FileInPlaceEditorInput(IFile file)

  Creates an in-place editor input based on a file resource.

Parameters:
  `file` - the file resource

Method Detail

### setInPlaceEditor

    public void setInPlaceEditor(IInPlaceEditor editor)

  Description copied from interface: `IInPlaceEditorInput`
  Sets the in-place editor this input is associated with.

  Specified by:
    `setInPlaceEditor` in interface `IInPlaceEditorInput`
  Parameters:
    `editor` - the in-place editor associated with this input or `null` to disassociate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.